%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate ff

Name:           rust-ff
Version:        0.13.0
Release:    1%{?dist}
Summary:        Library for building and interfacing with finite fields

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ff
Source0:         %{crates_source}
Patch:          ff-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Library for building and interfacing with finite fields.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bits-devel %{_description}

This package contains library source intended for building other packages which
use the "bits" feature of the "%{crate}" crate.

%files       -n %{name}+bits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bitvec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bitvec-devel %{_description}

This package contains library source intended for building other packages which
use the "bitvec" feature of the "%{crate}" crate.

%files       -n %{name}+bitvec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-1
- initial build
